aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListUserPolicies

Synopsis

- data ListUserPolicies = ListUserPolicies {
  - lupUserName :: Text
  - lupMarker :: Maybe Text
  - lupMaxItems :: Maybe Integer
  }
- data ListUserPoliciesResponse = ListUserPoliciesResponse {
  - luprPolicyNames :: [Text]
  - luprIsTruncated :: Bool
  - luprMarker :: Maybe Text
  }

# Documentation

data ListUserPolicies #

Lists the user policies associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListUserPolicies.html

Constructors

ListUserPolicies |

Fields

- lupUserName :: Text

  Policies associated with this user will be listed.

- lupMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- lupMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListUserPolicies # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type ServiceConfiguration ListUserPolicies |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ServiceConfiguration ListUserPolicies = IamConfiguration

Methods

signQuery :: ListUserPolicies -> ServiceConfiguration ListUserPolicies queryType -> SignatureData -> SignedQuery #

Show ListUserPolicies # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods showsPrec :: Int -> ListUserPolicies -> ShowS # show :: ListUserPolicies -> String # showList :: [ListUserPolicies] -> ShowS #
Eq ListUserPolicies # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods (==) :: ListUserPolicies -> ListUserPolicies -> Bool # (/=) :: ListUserPolicies -> ListUserPolicies -> Bool #
Ord ListUserPolicies # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Methods

compare :: ListUserPolicies -> ListUserPolicies -> Ordering #

(<) :: ListUserPolicies -> ListUserPolicies -> Bool #

(<=) :: ListUserPolicies -> ListUserPolicies -> Bool #

(>) :: ListUserPolicies -> ListUserPolicies -> Bool #

(>=) :: ListUserPolicies -> ListUserPolicies -> Bool #

max :: ListUserPolicies -> ListUserPolicies -> ListUserPolicies #

min :: ListUserPolicies -> ListUserPolicies -> ListUserPolicies #

IteratedTransaction ListUserPolicies ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods nextIteratedRequest :: ListUserPolicies -> ListUserPoliciesResponse -> Maybe ListUserPolicies #
ResponseConsumer ListUserPolicies ListUserPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type ResponseMetadata ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ResponseMetadata ListUserPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUserPolicies -> IORef (ResponseMetadata ListUserPoliciesResponse) -> HTTPResponseConsumer ListUserPoliciesResponse #

Transaction ListUserPolicies ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies
type ServiceConfiguration ListUserPolicies # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ServiceConfiguration ListUserPolicies = IamConfiguration

data ListUserPoliciesResponse #

Constructors

ListUserPoliciesResponse |

Fields

- luprPolicyNames :: [Text]

  List of policy names.

- luprIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- luprMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListUserPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type MemoryResponse ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type MemoryResponse ListUserPoliciesResponse = ListUserPoliciesResponse

Methods

loadToMemory :: ListUserPoliciesResponse -> ResourceT IO (MemoryResponse ListUserPoliciesResponse) #

Show ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods showsPrec :: Int -> ListUserPoliciesResponse -> ShowS # show :: ListUserPoliciesResponse -> String # showList :: [ListUserPoliciesResponse] -> ShowS #
Eq ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods (==) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool # (/=) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool #
Ord ListUserPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Methods

compare :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Ordering #

(<) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool #

(<=) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool #

(>) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool #

(>=) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool #

max :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> ListUserPoliciesResponse #

min :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> ListUserPoliciesResponse #

IteratedTransaction ListUserPolicies ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods nextIteratedRequest :: ListUserPolicies -> ListUserPoliciesResponse -> Maybe ListUserPolicies #
ResponseConsumer ListUserPolicies ListUserPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type ResponseMetadata ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ResponseMetadata ListUserPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUserPolicies -> IORef (ResponseMetadata ListUserPoliciesResponse) -> HTTPResponseConsumer ListUserPoliciesResponse #

Transaction ListUserPolicies ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies
type MemoryResponse ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type MemoryResponse ListUserPoliciesResponse = ListUserPoliciesResponse
type ResponseMetadata ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ResponseMetadata ListUserPoliciesResponse = IamMetadata